import Vue from "vue";
import Router from "vue-router";
Vue.use(Router);
import home from "@/components/home";
import dashBoard from "@/components/dashBoard";
import profile from "@/components/profile";
import signup from "@/components/signup";
import BookSearchPage from "@/components/BookSearchPage";
import BookIndexPage from "@/components/BookIndexPage";
import BookShowPage from "@/components/BookShowPage";
import Login from "@/components/login/Login";
import SignUp from "@/components/login/SignUp";

export default new Router({
  routes: [
    {
      path: "/",
      name: "home",
      component: home
    },
    {
      path: "/dashBoard",
      name: "dashBoard",
      component: dashBoard
    },
    {
      path: "/profile",
      name: "profile",
      component: profile
    },
    {
      path: "/signup",
      name: "signup",
      component: signup
    },
    {
      path: "/BookIndexPage",
      name: "bookindex",
      component: BookIndexPage
    },
    {
      path: "/BookIndexPage:id",
      name: "bookdetail",
      component: BookShowPage
    },
    {
      path: "/BookSearchPage",
      name: "bookindex",
      component: BookSearchPage
    },
    {
      path: "/login",
      name: "Login",
      component: Login
    },
    {
      path: "/login/signUp",
      name: "SignUp",
      component: SignUp
    }
  ]
});
